


## Tuist 빠른 가이드

- ### tuist 참고사이트

	```https://docs.tuist.io/```
		


- ### tuist 설치
1.	tuist 설치 (tuist 하위버전과 명령어 충돌을 없애기 위해 기존 tuist 제거)

    `curl -Ls https://uninstall.tuist.io | bash`
	 
2. mise 설치 (tuist를 별도 설치하지 않고 mise를 이용한다)
    
    `curl https://mise.run | sh`

3. mise activate
- 터미널 쉘이 zsh 일경우
    ```
	echo 'eval "$(~/.local/bin/mise activate zsh)"' >> ~/.zshrc
	eval "$(~/.local/bin/mise activate zsh)"
    ```
- 터미널 쉘이  bash 일경우
    ```
	echo 'eval "$(~/.local/bin/mise activate bash)"' >> ~/.bashrc
	eval "$(~/.local/bin/mise activate bash)"
    ```
4. mise version 확인

	`mise --version`

5. mise 를 통해 tuist 설치

	`mise install tuist`

6. tuist 전체 위치에 활성화

	`mise use -g tuist`

7. tuist 버전 확인

	`tuist version`    

8. 샘플앱 다운로드

    2.23.0 버전 이상 (https://developers.kakao.com/docs/latest/ko/ios/download)

9. 샘플앱이 사용하는 패키지 설치(샘플앱 디렉토리에서)

	`tuist install`    

10. 샘플앱 프로젝트 생성 & xcode 자동실행

	`tuist generate`
 
     
추가) tuist 프로젝트(샘플프로젝트) 매니패스트 보기

	`tuist edit`
